Subject: Re: [Bug] M-x setenv PID + bash -> M-x shell breaks
From: [email-masked] (Fergus Henderson)

18 Dec 1997 06:50:17 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: Andrew Innes <[email-masked]>
Cc: [email-masked], [email-masked],
        [email-masked]

On 18-Dec-1997, Andrew Innes <[email-masked]> wrote:
> On 17 Dec 1997 17:22:44 -0500, Paul Stodghill <[email-masked]> said:
> >Setting the environment variable "PID" causes shell commands to break when
> >bash is the shell that emacs invokes.
....
> >Why this happens, I have no idea. I'm not even sure if its an emacs or bash
> >bug...
> 
> It is presumably a bug in bash.  Emacs doesn't care about PID.

I think it is more likely to be a bug in gnu-win32 (i.e. cygwin.dll
and/or libcygwin.a), which does care about PID.

-- 
Fergus Henderson <[email-masked]>   |  "I have always known that the pursuit
WWW: <http://www.cs.mu.oz.au/~fjh>   |  of excellence is a lethal habit"
PGP: finger [email-masked]         |     -- the last words of T. S. Garp.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".